Skip to content

# Interface: TooltipProps

## Hierarchy

- TooltipProps

## Index

### Properties

- children
- className
- formatters
- offset
- preferredPositions
- style
- targetId
- tooltipOnParentHover
- usePortal
- visible

## Properties

### `Optional` children

• children? : React.ReactNode

Defined in src/renderer/components/tooltip/tooltip.tsx:30

### `Optional` className

• className? : IClassName

Defined in src/renderer/components/tooltip/tooltip.tsx:27

### `Optional` formatters

• formatters? : TooltipContentFormatters

Defined in src/renderer/components/tooltip/tooltip.tsx:28

### `Optional` offset

• offset? : number

Defined in src/renderer/components/tooltip/tooltip.tsx:24

### `Optional` preferredPositions

• preferredPositions? : TooltipPosition | TooltipPosition[]

Defined in src/renderer/components/tooltip/tooltip.tsx:26

### `Optional` style

• style? : CSSProperties

Defined in src/renderer/components/tooltip/tooltip.tsx:29

### targetId

• targetId: string

Defined in src/renderer/components/tooltip/tooltip.tsx:21

### `Optional` tooltipOnParentHover

• tooltipOnParentHover? : boolean

Defined in src/renderer/components/tooltip/tooltip.tsx:22

### `Optional` usePortal

• usePortal? : boolean

Defined in src/renderer/components/tooltip/tooltip.tsx:25

### `Optional` visible

• visible? : boolean

Defined in src/renderer/components/tooltip/tooltip.tsx:23